For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
        • GETList Items
        • GETGet Item
        • POSTCreate Items
        • PATCHUpdate Items
        • DELDelete Items
        • POSTPublish Items
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
  • Enterprise
LogoLogo
Resources
Get started
CMSCollection ItemsStaged Items

Delete Items

DELETE
https://api.webflow.com/v2/collections/:collection_id/items
DELETE
/v2/collections/:collection_id/items
$curl -X DELETE https://api.webflow.com/v2/collections/580e63fc8c9a982ac9b8b745/items \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "items": [
> {
> "id": "580e64008c9a982ac9b8b754"
> }
> ]
>}'
Delete Items from a Collection. <Tip title="Localization Tip">Items will only be deleted in the primary locale unless a `cmsLocaleId` is included in the request.</Tip> Required scope | `CMS:write`
Was this page helpful?
Previous

Publish Items

Next
Built with

Delete Items from a Collection.

Localization Tip
Items will only be deleted in the primary locale unless a cmsLocaleId is included in the request.

Required scope | CMS:write

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_idstringRequiredformat: "objectid"
Unique identifier for a Collection

Request

Details of the items to delete
itemslist of objectsRequired

Response

Request was successful

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error